//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#ifndef __DIR__
#define __DIR__

/* Global functions */

#define OFS_DIR_Attribute       0x0b

#define OFS_EDIR_Name       0x00
#define OFS_EDIR_Size       0x28
#define OFS_EDIR_Cluster    0x2c
#define OFS_EDIR_Attr       0x30

#define OFS_DIR_Name        0x00
#define OFS_DIR_Size        0x1c
#define OFS_DIR_ClusterLO   0x1a
#define OFS_DIR_ClusterHI   0x14
#define OFS_DIR_Attr        0x0b

extern void DIR_Read(long unsigned int ClusterNr);
extern void DIR_ScanDirSector(void);
extern void DIR_ScanDirSectorLFN(void);
extern void DIR_ScanDirSectorNormal(void);
extern void DIR_ScanDirSectorLFN_Sub1(unsigned int NumOfBytes);
extern void DIR_Clear(void);
extern void DIR_DisplayDir(void);
extern void DIR_EventLoop (void);
extern void DIR_Down(void);
extern void DIR_Up(void);
#endif

