//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#ifndef __FAT32__
#define __FAT32__

/* Global functions */

#define OFS_FAT32_BPB           0x00
#define OFS_FAT32_OEMNAMD       0x03
#define OFS_FAT32_BPS           0x0b       // Bytes per Sector (must be 512)
#define OFS_FAT32_SPC           0x0d       // Sectors per Cluster
#define OFS_FAT32_RSVDSECCNT    0x0e
#define OFS_FAT32_NUMOFFATS     0x10
#define OFS_FAT32_FATSIZE       0x24
#define OFS_FAT32_ROOTCLUSTER   0x2c        // Clusternummer vom ROOT

extern void FAT32_ReadBPB(void);
extern long unsigned int FAT32_GetFirstSectorofCluster(long unsigned int ClusterNr);
extern long unsigned int FAT32_GetNextCluster(long unsigned int NextCluster);

#endif

