//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#ifndef __IDE__
#define __IDE__

/* Global functions */

#define TIDE_DATAREGHI  0x8000;
#define TIDE_DATAREGLO  0x9000;
#define TIDE_ERRORREG   0x9001;
#define TIDE_SECCNT     0x9002;
#define TIDE_SECNR      0x9003;
#define TIDE_CYLLOW     0x9004;
#define TIDE_CYLHI      0x9005;
#define TIDE_DRVHEAD    0x9006;
#define TIDE_COMMAND    0x9007;
#define TIDE_STATUS     0x9007;
#define TIDE_DRVCTRL    0x9006;

extern void IDE_WaitForReady(void);
extern void IDE_WaitWhileBusy(void);
extern void IDE_WaitForDRQ(void);
extern unsigned int IDE_CheckDRQ(void);
extern void IDE_Standby(void);
extern void IDE_Idle(void);
extern void IDE_Seek(unsigned int CylNumber);
extern void IDE_Autodetect(void);
extern void IDE_ReadLBA(unsigned char NumOfSek,
                        long unsigned int LBA_Adress,
                        unsigned char *Buffer);
extern void IDE_ReadLBAAndPlay(unsigned char NumOfSek,
                               long unsigned int LBA_Adress);

#endif

