uses dos;

var
  f:file of byte;
  t:text;
  s:string;
  a:string;
  w:word;
  hibyte,lobyte:byte;
  l:longint;
  s2:string;
  w2:word;
  nutz:word;
  adresse:word;
  wx1:word;
  bx1:byte;

procedure error(msg:string);
begin
  writeln;
  writeln(msg);
  halt;
end;

function hex2word(s:string):word;
const
  multiplikator:array[1..4] of word=(4096,256,16,1);

var
  dummystr:string;
  x1,x2:word;
  res:word;
  o:byte;
begin
  dummystr:=s;
  res:=0;
  for x1:=1 to 4 do begin
    o:=ord(upcase(dummystr[x1]));
    case o of
      48..57: res:=res+((o-48)*multiplikator[x1]);
      65..70: res:=res+((o-55)*multiplikator[x1]);
    end;
  end;
  hex2word:=res;
end;

function hex2byte(s:string):word;
const
  multiplikator:array[1..2] of word=(16,1);

var
  dummystr:string;
  x1,x2:word;
  res:word;
  o:byte;
begin
  dummystr:=s;
  res:=0;
  for x1:=1 to 2 do begin
    o:=ord(upcase(dummystr[x1]));
    case o of
      48..57: res:=res+((o-48)*multiplikator[x1]);
      65..70: res:=res+((o-55)*multiplikator[x1]);
    end;
  end;
  hex2byte:=res;
end;

begin
  if paramstr(1)=''then begin
    writeln('HEX2BIN <filename>');
    halt;
  end;
  assign(t,paramstr(1)+'.ROM');
  {$i-}
  reset(t);
  {$i+}
  if ioresult<>0 then error(paramstr(1)+'.HEX not found!');
  assign(f,paramstr(1)+'.BIN');
  {$i-}
  rewrite(f);
  {$i+}
  if ioresult<>0 then error('Cannot create '+paramstr(1)+'.BIN');
  while not eof(t) do begin
    readln(t,s);
    if copy(s,1,11)=':00000001FF' then break;

    Nutz:=hex2byte(copy(s,2,2));
    adresse:=hex2word(copy(s,4,4));

    for wx1:=0 to nutz-1 do begin
      seek(F,adresse);
      bx1:=hex2byte(copy(s,10+2*wx1,2));
      write(f,bx1);
      inc(adresse);
    end;

(*    s2:=copy(s,3,4);
    s:=copy(s,8,4);
    w:=hex2word(s);
    w2:=hex2word(s2);
    hibyte:=hi(w);
    lobyte:=lo(w);
    seek(f,w2*2);
    write(f,lobyte);
    write(f,hibyte);
*)
  end;
  close(f);
  close(t);
end.
