//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#include <io.h>
#include "key.h"
#include "lcd240.h"
#include "mcu.h"

extern unsigned char VAR_ButtonNumber [8];
extern unsigned char VAR_ButtonAttr [8];


/*--------------------------------------------------------------------
    KEY_WaitForKey
--------------------------------------------------------------------*/
unsigned char KEY_WaitForKey(void)
{
volatile unsigned char KeyCode = 0xff;
volatile unsigned char WorkByte = 0x00;
unsigned char BitMask = 0x80;

    while (KeyCode==0xff)
    {
        KeyCode= inp(PINF);
    }

    for (WorkByte=0x00; WorkByte<8; WorkByte+=1)
    {
        if ((KeyCode & BitMask)==0x00)
            break;
        BitMask=BitMask>>1;             // Um 1 nach links schieben
    }

    KeyCode = WorkByte;

    if (KeyCode<8)
        LCD240_PutImage(KeyCode*5,0x0030,VAR_ButtonNumber[KeyCode],!VAR_ButtonAttr[KeyCode]);

    MCU_Wait(200);

    while (WorkByte!=0xff)
    {
        WorkByte= inp(PINF);
    }

    if (KeyCode<8)
        LCD240_PutImage(KeyCode*5,0x0030,VAR_ButtonNumber[KeyCode],VAR_ButtonAttr[KeyCode]);

    return KeyCode;
}

