//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#include <io.h>
#include "global.h"

/*-------------------------------------------------------------------
  Ports aktivieren
-------------------------------------------------------------------*/
void PORT_InitPorts (void)
{

    outp (0x00, DDRA);
    outp (0x00, DDRB);
    outp (0xfe, DDRD);
    outp (0x7f, DDRE);

//    IIC_SendStop ();                  // Gibts noch nicht!

    sbi (PORTE, LCD_CS);
    sbi (PORTE, IDE_CS);
    sbi (PORTE, PER_RD);
    sbi (PORTE, PER_WR);
    cbi (PORTD, MP3DEC_SID);
    cbi (PORTD, MP3DEC_SIC);
    sbi (PORTE, MP3DEC_DEMAND);
    cbi (PORTD, MCU_A16);

}

/*-------------------------------------------------------------------
  Port A auf Eingabe setzen
-------------------------------------------------------------------*/
void PORT_SetPortAInput (void)
{

    outp (0x00, DDRA);

}

/*-------------------------------------------------------------------
  Port A auf Ausgabe setzen
-------------------------------------------------------------------*/
void PORT_SetPortAOutput (void)
{

    outp (0xff, DDRA);

}
