//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#include <io.h>

/*-------------------------------------------------------------------
  SRAM deaktivieren
-------------------------------------------------------------------*/
void SRAM_Disable (void)
{

unsigned char WorkByte  = 0;

    WorkByte = inp (MCUCR);           // Byte vom Port MCUCR holen
    WorkByte &= 0x3f;                   // Byte mit $3f verunden
    outp (WorkByte, MCUCR);           // Byte auf Port MCUCR schreiben

}

/*-------------------------------------------------------------------
  SRAM aktivieren
-------------------------------------------------------------------*/
void SRAM_Enable (void)
{

unsigned char WorkByte  = 0;

    WorkByte = inp (MCUCR);           // Byte vom Port MCUCR holen
    WorkByte &= 0x3f;                   // Byte mit $3f verunden
    WorkByte |= 0xc0;                   // Byte mit $co verodern
    outp (WorkByte, MCUCR);           // Byte auf Port MCUCR schreiben

}
