//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#ifndef __LCD240__
#define __LCD240__

/* Global functions */

extern void LCD240_WaitForReady (void);
extern void LCD240_WriteByte (unsigned char WorkByte);
extern void LCD240_WriteData (unsigned char WorkByte);
extern void LCD240_WriteCommand (unsigned char WorkByte);
extern void LCD240_CrsrPatSel (unsigned char WorkByte);
extern void LCD240_SetTextHomeAdr (unsigned int WorkAdr);
extern void LCD240_SetGraphHomeAdr (unsigned int WorkAdr);
extern void LCD240_SetTextHomeAdr (unsigned int WorkAdr);
extern unsigned int LCD240_GetGraphHomeAdr (void);
extern unsigned int LCD240_GetTextHomeAdr (void);
extern unsigned int LCD240_GetGraphHomeAdr (void);
extern unsigned int LCD240_GetTextHomeAdr (void);
extern void LCD240_SetADP (unsigned int WorkAdr);
extern unsigned int LCD240_GetADP (void);
extern void LCD240_TextArea(unsigned char WorkByte);
extern void LCD240_GraphArea(unsigned char WorkByte);
extern void LCD240_DisplayMode(unsigned char WorkByte);
extern void LCD240_AutoModeOff(void);
extern void LCD240_AutoModeOn(void);
extern void LCD240_CombineMode(unsigned char WorkByte);
extern void LCD240_SetCursor(unsigned char WorkByteX,
                             unsigned char WorkByteY);
extern void LCD240_ClearText(void);
extern void LCD240_ClearGraph(void);
extern void LCD240_OutChar(unsigned char WorkByte);
extern void LCD240_OutAscii(unsigned char WorkByte);
extern void LCD240_OutString(unsigned char WorkStr[]);
extern void LCD240_OutStringXY(unsigned char WorkByteX,
                        unsigned char WorkByteY,
                        unsigned char WorkStr[]);
extern void LCD240_InitLCD(void);
extern void LCD240_OutVal(unsigned char WorkByte);
extern void LCD240_OutVal16Bit(unsigned int WorkWord);
extern void LCD240_OutVal32Bit(long unsigned int WorkLongWord);
extern void LCD240_DisplayBar (unsigned char YPOS);
extern void LCD240_ClearBar (unsigned char YPOS);
extern void LCD240_PutImage(unsigned int XPos,
                            unsigned int YPos,
                            unsigned int ButtonNumber,
                            unsigned char Inverse);

#endif

