//
//                 AVRMP3Car - Standalone MP3-Player
//                          Version 2.00 - experimental!   
// written 1999-2000 by Pototschnig Thomas (skymab@gmx.de)
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation - version 2.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License in file COPYING for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//Please report any bug/fix, modification, suggestion to
//
//           skymab@gmx.de
//
//--------------------------------------------------------------------
#include <io.h>
#include "global.h"
#include "ide.h"
#include "lcd240.h"
#include "system.h"
#include "fat32.h"

extern unsigned char SektorBuffer [512];

extern long unsigned int VAR_FAT32_RsvdSecCnt;
extern long unsigned int VAR_FAT32_NumOfFats;
extern long unsigned int VAR_FAT32_FatSize;
extern long unsigned int VAR_FAT32_SPC;
extern long unsigned int VAR_FAT32_RootCluster;
extern long unsigned int VAR_FAT32_FirstDSector;

extern long unsigned int *DIR_SelectedFilePointer;
/*-------------------------------------------------------------------
    PlaySong
-------------------------------------------------------------------*/
void MP3DEC_PlaySong (void)
{

unsigned int NumOfClusters = 0x0000;
long unsigned int NumOfSectors = 0x00000000;
long unsigned int FileSize = 0x00000000;
long unsigned int *LongWordPointer;
long unsigned int ClusterNumber = 0x00000000;
long unsigned int SectorNumber = 0x00000000;

unsigned char CurrentSector = 0x00;
unsigned int CurrentCluster = 0x0000;

    (int) LongWordPointer = (int) DIR_SelectedFilePointer + (int) 40;
    FileSize = *LongWordPointer;
    LongWordPointer+=1;
    ClusterNumber = *LongWordPointer;
    NumOfSectors = FileSize / 512;
    NumOfClusters = NumOfSectors / VAR_FAT32_SPC;

//    LCD240_OutVal32Bit(ClusterNumber);
//    LCD240_OutAscii('/');
//    LCD240_OutVal32Bit(FileSize);
//    LCD240_OutAscii('/');
//    LCD240_OutVal16Bit(NumOfClusters);
//    for (;;)
//    {
//    }


    for (CurrentCluster=0x0000; CurrentCluster<NumOfClusters; CurrentCluster+=1)
    {
        SectorNumber= FAT32_GetFirstSectorofCluster(ClusterNumber);
        for (CurrentSector=0x00; CurrentSector<=(char) VAR_FAT32_SPC; CurrentSector+=1)
        {
            IDE_ReadLBAAndPlay(0x01,SectorNumber);
            SectorNumber+=1;
        }
        ClusterNumber+=1;
//        ClusterNumber = FAT32_GetNextCluster(ClusterNumber);
//        LCD240_OutVal32Bit(ClusterNumber);
//        LCD240_OutAscii('/');
    }
}

/*-------------------------------------------------------------------
 PLAY_SENDWORD          (r0)
-------------------------------------------------------------------*/
void MP3DEC_SendWord(unsigned int WordToSend)
{

unsigned char WorkCounter = 0x00;
unsigned char WorkByte = 0x00;

    for (WorkCounter=0x00; WorkCounter<16; WorkCounter+=1)
    {
        WorkByte = inp(PINE);

        while ((WorkByte & (1<<MP3DEC_DEMAND)) == 0x00)
        {
            WorkByte = inp(PINE);
        }

        sbi (PORTD,MP3DEC_SIC);

        if ((WordToSend & 0x8000) != 0x0000)
            sbi (PORTD,MP3DEC_SID);
        else
            cbi (PORTD,MP3DEC_SID);

        cbi (PORTD,MP3DEC_SIC);

        WordToSend = WordToSend << 1;
    }
}

